import { ComponentFixture, TestBed } from '@angular/core/testing';

import { LoadBalancerAssociateFloatingIpFormComponent } from './load-balancer-associate-floating-ip-form.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { ReactiveFormsModule } from '@angular/forms';
import { MatSelectModule } from '@angular/material/select';
import { NoopAnimationsModule } from '@angular/platform-browser/animations';
import { MatSnackBarModule } from '@angular/material/snack-bar';
import { MatDialogModule } from '@angular/material/dialog';

describe('LoadBalancerAssociateFloatingIpFormComponent', () => {
  let component: LoadBalancerAssociateFloatingIpFormComponent;
  let fixture: ComponentFixture<LoadBalancerAssociateFloatingIpFormComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [LoadBalancerAssociateFloatingIpFormComponent],
      imports: [
        HttpClientTestingModule, RouterTestingModule, ReactiveFormsModule, MatSelectModule, NoopAnimationsModule,
        MatSnackBarModule, MatDialogModule,
      ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(LoadBalancerAssociateFloatingIpFormComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
